Package org.codehaus.groovy.antlr.java

# Interface JavaTokenTypes

All Known Implementing Classes:
  `JavaLexer`, `JavaRecognizer`

    public interface JavaTokenTypes

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ABSTRACT` |
  `static int` | `ANNOTATION` |
  `static int` | `ANNOTATION_ARRAY_INIT` |
  `static int` | `ANNOTATION_DEF` |
  `static int` | `ANNOTATION_FIELD_DEF` |
  `static int` | `ANNOTATION_MEMBER_VALUE_PAIR` |
  `static int` | `ANNOTATIONS` |
  `static int` | `ARRAY_DECLARATOR` |
  `static int` | `ARRAY_INIT` |
  `static int` | `ASSIGN` |
  `static int` | `AT` |
  `static int` | `BAND` |
  `static int` | `BAND_ASSIGN` |
  `static int` | `BLOCK` |
  `static int` | `BNOT` |
  `static int` | `BOR` |
  `static int` | `BOR_ASSIGN` |
  `static int` | `BSR` |
  `static int` | `BSR_ASSIGN` |
  `static int` | `BXOR` |
  `static int` | `BXOR_ASSIGN` |
  `static int` | `CASE_GROUP` |
  `static int` | `CHAR_LITERAL` |
  `static int` | `CLASS_DEF` |
  `static int` | `COLON` |
  `static int` | `COMMA` |
  `static int` | `CTOR_CALL` |
  `static int` | `DEC` |
  `static int` | `DIGIT` |
  `static int` | `DIGITS_WITH_UNDERSCORE` |
  `static int` | `DIGITS_WITH_UNDERSCORE_OPT` |
  `static int` | `DIV` |
  `static int` | `DIV_ASSIGN` |
  `static int` | `DOT` |
  `static int` | `ELIST` |
  `static int` | `EMPTY_STAT` |
  `static int` | `ENUM_CONSTANT_DEF` |
  `static int` | `ENUM_DEF` |
  `static int` | `EOF` |
  `static int` | `EQUAL` |
  `static int` | `ESC` |
  `static int` | `EXPONENT` |
  `static int` | `EXPR` |
  `static int` | `EXTENDS_CLAUSE` |
  `static int` | `FINAL` |
  `static int` | `FLOAT_SUFFIX` |
  `static int` | `FOR_CONDITION` |
  `static int` | `FOR_EACH_CLAUSE` |
  `static int` | `FOR_INIT` |
  `static int` | `FOR_ITERATOR` |
  `static int` | `GE` |
  `static int` | `GT` |
  `static int` | `HEX_DIGIT` |
  `static int` | `IDENT` |
  `static int` | `IMPLEMENTS_CLAUSE` |
  `static int` | `IMPORT` |
  `static int` | `INC` |
  `static int` | `INDEX_OP` |
  `static int` | `INSTANCE_INIT` |
  `static int` | `INTERFACE_DEF` |
  `static int` | `LABELED_STAT` |
  `static int` | `LAND` |
  `static int` | `LBRACK` |
  `static int` | `LCURLY` |
  `static int` | `LE` |
  `static int` | `LITERAL_assert` |
  `static int` | `LITERAL_boolean` |
  `static int` | `LITERAL_break` |
  `static int` | `LITERAL_byte` |
  `static int` | `LITERAL_case` |
  `static int` | `LITERAL_catch` |
  `static int` | `LITERAL_char` |
  `static int` | `LITERAL_class` |
  `static int` | `LITERAL_continue` |
  `static int` | `LITERAL_default` |
  `static int` | `LITERAL_do` |
  `static int` | `LITERAL_double` |
  `static int` | `LITERAL_else` |
  `static int` | `LITERAL_enum` |
  `static int` | `LITERAL_extends` |
  `static int` | `LITERAL_false` |
  `static int` | `LITERAL_finally` |
  `static int` | `LITERAL_float` |
  `static int` | `LITERAL_for` |
  `static int` | `LITERAL_if` |
  `static int` | `LITERAL_implements` |
  `static int` | `LITERAL_import` |
  `static int` | `LITERAL_instanceof` |
  `static int` | `LITERAL_int` |
  `static int` | `LITERAL_interface` |
  `static int` | `LITERAL_long` |
  `static int` | `LITERAL_native` |
  `static int` | `LITERAL_new` |
  `static int` | `LITERAL_null` |
  `static int` | `LITERAL_package` |
  `static int` | `LITERAL_private` |
  `static int` | `LITERAL_protected` |
  `static int` | `LITERAL_public` |
  `static int` | `LITERAL_return` |
  `static int` | `LITERAL_short` |
  `static int` | `LITERAL_static` |
  `static int` | `LITERAL_super` |
  `static int` | `LITERAL_switch` |
  `static int` | `LITERAL_synchronized` |
  `static int` | `LITERAL_this` |
  `static int` | `LITERAL_threadsafe` |
  `static int` | `LITERAL_throw` |
  `static int` | `LITERAL_throws` |
  `static int` | `LITERAL_transient` |
  `static int` | `LITERAL_true` |
  `static int` | `LITERAL_try` |
  `static int` | `LITERAL_void` |
  `static int` | `LITERAL_volatile` |
  `static int` | `LITERAL_while` |
  `static int` | `LNOT` |
  `static int` | `LOR` |
  `static int` | `LPAREN` |
  `static int` | `LT` |
  `static int` | `METHOD_CALL` |
  `static int` | `METHOD_DEF` |
  `static int` | `MINUS` |
  `static int` | `MINUS_ASSIGN` |
  `static int` | `ML_COMMENT` |
  `static int` | `MOD` |
  `static int` | `MOD_ASSIGN` |
  `static int` | `MODIFIERS` |
  `static int` | `NOT_EQUAL` |
  `static int` | `NULL_TREE_LOOKAHEAD` |
  `static int` | `NUM_DOUBLE` |
  `static int` | `NUM_FLOAT` |
  `static int` | `NUM_INT` |
  `static int` | `NUM_LONG` |
  `static int` | `OBJBLOCK` |
  `static int` | `PACKAGE_DEF` |
  `static int` | `PARAMETER_DEF` |
  `static int` | `PARAMETERS` |
  `static int` | `PLUS` |
  `static int` | `PLUS_ASSIGN` |
  `static int` | `POST_DEC` |
  `static int` | `POST_INC` |
  `static int` | `QUESTION` |
  `static int` | `RBRACK` |
  `static int` | `RCURLY` |
  `static int` | `RPAREN` |
  `static int` | `SEMI` |
  `static int` | `SL` |
  `static int` | `SL_ASSIGN` |
  `static int` | `SL_COMMENT` |
  `static int` | `SLIST` |
  `static int` | `SR` |
  `static int` | `SR_ASSIGN` |
  `static int` | `STAR` |
  `static int` | `STAR_ASSIGN` |
  `static int` | `STATIC_IMPORT` |
  `static int` | `STATIC_INIT` |
  `static int` | `STRICTFP` |
  `static int` | `STRING_LITERAL` |
  `static int` | `SUPER_CTOR_CALL` |
  `static int` | `TRIPLE_DOT` |
  `static int` | `TYPE` |
  `static int` | `TYPE_ARGUMENT` |
  `static int` | `TYPE_ARGUMENTS` |
  `static int` | `TYPE_LOWER_BOUNDS` |
  `static int` | `TYPE_PARAMETER` |
  `static int` | `TYPE_PARAMETERS` |
  `static int` | `TYPE_UPPER_BOUNDS` |
  `static int` | `TYPECAST` |
  `static int` | `UNARY_MINUS` |
  `static int` | `UNARY_PLUS` |
  `static int` | `VARIABLE_DEF` |
  `static int` | `VARIABLE_PARAMETER_DEF` |
  `static int` | `VOCAB` |
  `static int` | `WILDCARD_TYPE` |
  `static int` | `WS` |

- ## Field Details

  - ### EOF

    static final int EOF
    See Also:
      Constant Field Values

  - ### NULL_TREE_LOOKAHEAD

    static final int NULL_TREE_LOOKAHEAD
    See Also:
      Constant Field Values

  - ### BLOCK

    static final int BLOCK
    See Also:
      Constant Field Values

  - ### MODIFIERS

    static final int MODIFIERS
    See Also:
      Constant Field Values

  - ### OBJBLOCK

    static final int OBJBLOCK
    See Also:
      Constant Field Values

  - ### SLIST

    static final int SLIST
    See Also:
      Constant Field Values

  - ### METHOD_DEF

    static final int METHOD_DEF
    See Also:
      Constant Field Values

  - ### VARIABLE_DEF

    static final int VARIABLE_DEF
    See Also:
      Constant Field Values

  - ### INSTANCE_INIT

    static final int INSTANCE_INIT
    See Also:
      Constant Field Values

  - ### STATIC_INIT

    static final int STATIC_INIT
    See Also:
      Constant Field Values

  - ### TYPE

    static final int TYPE
    See Also:
      Constant Field Values

  - ### CLASS_DEF

    static final int CLASS_DEF
    See Also:
      Constant Field Values

  - ### INTERFACE_DEF

    static final int INTERFACE_DEF
    See Also:
      Constant Field Values

  - ### PACKAGE_DEF

    static final int PACKAGE_DEF
    See Also:
      Constant Field Values

  - ### ARRAY_DECLARATOR

    static final int ARRAY_DECLARATOR
    See Also:
      Constant Field Values

  - ### EXTENDS_CLAUSE

    static final int EXTENDS_CLAUSE
    See Also:
      Constant Field Values

  - ### IMPLEMENTS_CLAUSE

    static final int IMPLEMENTS_CLAUSE
    See Also:
      Constant Field Values

  - ### PARAMETERS

    static final int PARAMETERS
    See Also:
      Constant Field Values

  - ### PARAMETER_DEF

    static final int PARAMETER_DEF
    See Also:
      Constant Field Values

  - ### LABELED_STAT

    static final int LABELED_STAT
    See Also:
      Constant Field Values

  - ### TYPECAST

    static final int TYPECAST
    See Also:
      Constant Field Values

  - ### INDEX_OP

    static final int INDEX_OP
    See Also:
      Constant Field Values

  - ### POST_INC

    static final int POST_INC
    See Also:
      Constant Field Values

  - ### POST_DEC

    static final int POST_DEC
    See Also:
      Constant Field Values

  - ### METHOD_CALL

    static final int METHOD_CALL
    See Also:
      Constant Field Values

  - ### EXPR

    static final int EXPR
    See Also:
      Constant Field Values

  - ### ARRAY_INIT

    static final int ARRAY_INIT
    See Also:
      Constant Field Values

  - ### IMPORT

    static final int IMPORT
    See Also:
      Constant Field Values

  - ### UNARY_MINUS

    static final int UNARY_MINUS
    See Also:
      Constant Field Values

  - ### UNARY_PLUS

    static final int UNARY_PLUS
    See Also:
      Constant Field Values

  - ### CASE_GROUP

    static final int CASE_GROUP
    See Also:
      Constant Field Values

  - ### ELIST

    static final int ELIST
    See Also:
      Constant Field Values

  - ### FOR_INIT

    static final int FOR_INIT
    See Also:
      Constant Field Values

  - ### FOR_CONDITION

    static final int FOR_CONDITION
    See Also:
      Constant Field Values

  - ### FOR_ITERATOR

    static final int FOR_ITERATOR
    See Also:
      Constant Field Values

  - ### EMPTY_STAT

    static final int EMPTY_STAT
    See Also:
      Constant Field Values

  - ### FINAL

    static final int FINAL
    See Also:
      Constant Field Values

  - ### ABSTRACT

    static final int ABSTRACT
    See Also:
      Constant Field Values

  - ### STRICTFP

    static final int STRICTFP
    See Also:
      Constant Field Values

  - ### SUPER_CTOR_CALL

    static final int SUPER_CTOR_CALL
    See Also:
      Constant Field Values

  - ### CTOR_CALL

    static final int CTOR_CALL
    See Also:
      Constant Field Values

  - ### VARIABLE_PARAMETER_DEF

    static final int VARIABLE_PARAMETER_DEF
    See Also:
      Constant Field Values

  - ### STATIC_IMPORT

    static final int STATIC_IMPORT
    See Also:
      Constant Field Values

  - ### ENUM_DEF

    static final int ENUM_DEF
    See Also:
      Constant Field Values

  - ### ENUM_CONSTANT_DEF

    static final int ENUM_CONSTANT_DEF
    See Also:
      Constant Field Values

  - ### FOR_EACH_CLAUSE

    static final int FOR_EACH_CLAUSE
    See Also:
      Constant Field Values

  - ### ANNOTATION_DEF

    static final int ANNOTATION_DEF
    See Also:
      Constant Field Values

  - ### ANNOTATIONS

    static final int ANNOTATIONS
    See Also:
      Constant Field Values

  - ### ANNOTATION

    static final int ANNOTATION
    See Also:
      Constant Field Values

  - ### ANNOTATION_MEMBER_VALUE_PAIR

    static final int ANNOTATION_MEMBER_VALUE_PAIR
    See Also:
      Constant Field Values

  - ### ANNOTATION_FIELD_DEF

    static final int ANNOTATION_FIELD_DEF
    See Also:
      Constant Field Values

  - ### ANNOTATION_ARRAY_INIT

    static final int ANNOTATION_ARRAY_INIT
    See Also:
      Constant Field Values

  - ### TYPE_ARGUMENTS

    static final int TYPE_ARGUMENTS
    See Also:
      Constant Field Values

  - ### TYPE_ARGUMENT

    static final int TYPE_ARGUMENT
    See Also:
      Constant Field Values

  - ### TYPE_PARAMETERS

    static final int TYPE_PARAMETERS
    See Also:
      Constant Field Values

  - ### TYPE_PARAMETER

    static final int TYPE_PARAMETER
    See Also:
      Constant Field Values

  - ### WILDCARD_TYPE

    static final int WILDCARD_TYPE
    See Also:
      Constant Field Values

  - ### TYPE_UPPER_BOUNDS

    static final int TYPE_UPPER_BOUNDS
    See Also:
      Constant Field Values

  - ### TYPE_LOWER_BOUNDS

    static final int TYPE_LOWER_BOUNDS
    See Also:
      Constant Field Values

  - ### LITERAL_package

    static final int LITERAL_package
    See Also:
      Constant Field Values

  - ### SEMI

    static final int SEMI
    See Also:
      Constant Field Values

  - ### LITERAL_import

    static final int LITERAL_import
    See Also:
      Constant Field Values

  - ### LITERAL_static

    static final int LITERAL_static
    See Also:
      Constant Field Values

  - ### LBRACK

    static final int LBRACK
    See Also:
      Constant Field Values

  - ### RBRACK

    static final int RBRACK
    See Also:
      Constant Field Values

  - ### IDENT

    static final int IDENT
    See Also:
      Constant Field Values

  - ### DOT

    static final int DOT
    See Also:
      Constant Field Values

  - ### QUESTION

    static final int QUESTION
    See Also:
      Constant Field Values

  - ### LITERAL_extends

    static final int LITERAL_extends
    See Also:
      Constant Field Values

  - ### LITERAL_super

    static final int LITERAL_super
    See Also:
      Constant Field Values

  - ### LT

    static final int LT
    See Also:
      Constant Field Values

  - ### GT

    static final int GT
    See Also:
      Constant Field Values

  - ### COMMA

    static final int COMMA
    See Also:
      Constant Field Values

  - ### SR

    static final int SR
    See Also:
      Constant Field Values

  - ### BSR

    static final int BSR
    See Also:
      Constant Field Values

  - ### LITERAL_void

    static final int LITERAL_void
    See Also:
      Constant Field Values

  - ### LITERAL_boolean

    static final int LITERAL_boolean
    See Also:
      Constant Field Values

  - ### LITERAL_byte

    static final int LITERAL_byte
    See Also:
      Constant Field Values

  - ### LITERAL_char

    static final int LITERAL_char
    See Also:
      Constant Field Values

  - ### LITERAL_short

    static final int LITERAL_short
    See Also:
      Constant Field Values

  - ### LITERAL_int

    static final int LITERAL_int
    See Also:
      Constant Field Values

  - ### LITERAL_float

    static final int LITERAL_float
    See Also:
      Constant Field Values

  - ### LITERAL_long

    static final int LITERAL_long
    See Also:
      Constant Field Values

  - ### LITERAL_double

    static final int LITERAL_double
    See Also:
      Constant Field Values

  - ### STAR

    static final int STAR
    See Also:
      Constant Field Values

  - ### LITERAL_private

    static final int LITERAL_private
    See Also:
      Constant Field Values

  - ### LITERAL_public

    static final int LITERAL_public
    See Also:
      Constant Field Values

  - ### LITERAL_protected

    static final int LITERAL_protected
    See Also:
      Constant Field Values

  - ### LITERAL_transient

    static final int LITERAL_transient
    See Also:
      Constant Field Values

  - ### LITERAL_native

    static final int LITERAL_native
    See Also:
      Constant Field Values

  - ### LITERAL_threadsafe

    static final int LITERAL_threadsafe
    See Also:
      Constant Field Values

  - ### LITERAL_synchronized

    static final int LITERAL_synchronized
    See Also:
      Constant Field Values

  - ### LITERAL_volatile

    static final int LITERAL_volatile
    See Also:
      Constant Field Values

  - ### AT

    static final int AT
    See Also:
      Constant Field Values

  - ### LPAREN

    static final int LPAREN
    See Also:
      Constant Field Values

  - ### RPAREN

    static final int RPAREN
    See Also:
      Constant Field Values

  - ### ASSIGN

    static final int ASSIGN
    See Also:
      Constant Field Values

  - ### LCURLY

    static final int LCURLY
    See Also:
      Constant Field Values

  - ### RCURLY

    static final int RCURLY
    See Also:
      Constant Field Values

  - ### LITERAL_class

    static final int LITERAL_class
    See Also:
      Constant Field Values

  - ### LITERAL_interface

    static final int LITERAL_interface
    See Also:
      Constant Field Values

  - ### LITERAL_enum

    static final int LITERAL_enum
    See Also:
      Constant Field Values

  - ### BAND

    static final int BAND
    See Also:
      Constant Field Values

  - ### LITERAL_default

    static final int LITERAL_default
    See Also:
      Constant Field Values

  - ### LITERAL_implements

    static final int LITERAL_implements
    See Also:
      Constant Field Values

  - ### LITERAL_this

    static final int LITERAL_this
    See Also:
      Constant Field Values

  - ### LITERAL_throws

    static final int LITERAL_throws
    See Also:
      Constant Field Values

  - ### TRIPLE_DOT

    static final int TRIPLE_DOT
    See Also:
      Constant Field Values

  - ### COLON

    static final int COLON
    See Also:
      Constant Field Values

  - ### LITERAL_if

    static final int LITERAL_if
    See Also:
      Constant Field Values

  - ### LITERAL_else

    static final int LITERAL_else
    See Also:
      Constant Field Values

  - ### LITERAL_while

    static final int LITERAL_while
    See Also:
      Constant Field Values

  - ### LITERAL_do

    static final int LITERAL_do
    See Also:
      Constant Field Values

  - ### LITERAL_break

    static final int LITERAL_break
    See Also:
      Constant Field Values

  - ### LITERAL_continue

    static final int LITERAL_continue
    See Also:
      Constant Field Values

  - ### LITERAL_return

    static final int LITERAL_return
    See Also:
      Constant Field Values

  - ### LITERAL_switch

    static final int LITERAL_switch
    See Also:
      Constant Field Values

  - ### LITERAL_throw

    static final int LITERAL_throw
    See Also:
      Constant Field Values

  - ### LITERAL_assert

    static final int LITERAL_assert
    See Also:
      Constant Field Values

  - ### LITERAL_for

    static final int LITERAL_for
    See Also:
      Constant Field Values

  - ### LITERAL_case

    static final int LITERAL_case
    See Also:
      Constant Field Values

  - ### LITERAL_try

    static final int LITERAL_try
    See Also:
      Constant Field Values

  - ### LITERAL_finally

    static final int LITERAL_finally
    See Also:
      Constant Field Values

  - ### LITERAL_catch

    static final int LITERAL_catch
    See Also:
      Constant Field Values

  - ### BOR

    static final int BOR
    See Also:
      Constant Field Values

  - ### PLUS_ASSIGN

    static final int PLUS_ASSIGN
    See Also:
      Constant Field Values

  - ### MINUS_ASSIGN

    static final int MINUS_ASSIGN
    See Also:
      Constant Field Values

  - ### STAR_ASSIGN

    static final int STAR_ASSIGN
    See Also:
      Constant Field Values

  - ### DIV_ASSIGN

    static final int DIV_ASSIGN
    See Also:
      Constant Field Values

  - ### MOD_ASSIGN

    static final int MOD_ASSIGN
    See Also:
      Constant Field Values

  - ### SR_ASSIGN

    static final int SR_ASSIGN
    See Also:
      Constant Field Values

  - ### BSR_ASSIGN

    static final int BSR_ASSIGN
    See Also:
      Constant Field Values

  - ### SL_ASSIGN

    static final int SL_ASSIGN
    See Also:
      Constant Field Values

  - ### BAND_ASSIGN

    static final int BAND_ASSIGN
    See Also:
      Constant Field Values

  - ### BXOR_ASSIGN

    static final int BXOR_ASSIGN
    See Also:
      Constant Field Values

  - ### BOR_ASSIGN

    static final int BOR_ASSIGN
    See Also:
      Constant Field Values

  - ### LOR

    static final int LOR
    See Also:
      Constant Field Values

  - ### LAND

    static final int LAND
    See Also:
      Constant Field Values

  - ### BXOR

    static final int BXOR
    See Also:
      Constant Field Values

  - ### NOT_EQUAL

    static final int NOT_EQUAL
    See Also:
      Constant Field Values

  - ### EQUAL

    static final int EQUAL
    See Also:
      Constant Field Values

  - ### LE

    static final int LE
    See Also:
      Constant Field Values

  - ### GE

    static final int GE
    See Also:
      Constant Field Values

  - ### LITERAL_instanceof

    static final int LITERAL_instanceof
    See Also:
      Constant Field Values

  - ### SL

    static final int SL
    See Also:
      Constant Field Values

  - ### PLUS

    static final int PLUS
    See Also:
      Constant Field Values

  - ### MINUS

    static final int MINUS
    See Also:
      Constant Field Values

  - ### DIV

    static final int DIV
    See Also:
      Constant Field Values

  - ### MOD

    static final int MOD
    See Also:
      Constant Field Values

  - ### INC

    static final int INC
    See Also:
      Constant Field Values

  - ### DEC

    static final int DEC
    See Also:
      Constant Field Values

  - ### BNOT

    static final int BNOT
    See Also:
      Constant Field Values

  - ### LNOT

    static final int LNOT
    See Also:
      Constant Field Values

  - ### LITERAL_true

    static final int LITERAL_true
    See Also:
      Constant Field Values

  - ### LITERAL_false

    static final int LITERAL_false
    See Also:
      Constant Field Values

  - ### LITERAL_null

    static final int LITERAL_null
    See Also:
      Constant Field Values

  - ### LITERAL_new

    static final int LITERAL_new
    See Also:
      Constant Field Values

  - ### NUM_INT

    static final int NUM_INT
    See Also:
      Constant Field Values

  - ### CHAR_LITERAL

    static final int CHAR_LITERAL
    See Also:
      Constant Field Values

  - ### STRING_LITERAL

    static final int STRING_LITERAL
    See Also:
      Constant Field Values

  - ### NUM_FLOAT

    static final int NUM_FLOAT
    See Also:
      Constant Field Values

  - ### NUM_LONG

    static final int NUM_LONG
    See Also:
      Constant Field Values

  - ### NUM_DOUBLE

    static final int NUM_DOUBLE
    See Also:
      Constant Field Values

  - ### WS

    static final int WS
    See Also:
      Constant Field Values

  - ### SL_COMMENT

    static final int SL_COMMENT
    See Also:
      Constant Field Values

  - ### ML_COMMENT

    static final int ML_COMMENT
    See Also:
      Constant Field Values

  - ### ESC

    static final int ESC
    See Also:
      Constant Field Values

  - ### HEX_DIGIT

    static final int HEX_DIGIT
    See Also:
      Constant Field Values

  - ### VOCAB

    static final int VOCAB
    See Also:
      Constant Field Values

  - ### DIGIT

    static final int DIGIT
    See Also:
      Constant Field Values

  - ### DIGITS_WITH_UNDERSCORE

    static final int DIGITS_WITH_UNDERSCORE
    See Also:
      Constant Field Values

  - ### DIGITS_WITH_UNDERSCORE_OPT

    static final int DIGITS_WITH_UNDERSCORE_OPT
    See Also:
      Constant Field Values

  - ### EXPONENT

    static final int EXPONENT
    See Also:
      Constant Field Values

  - ### FLOAT_SUFFIX

    static final int FLOAT_SUFFIX
    See Also:
      Constant Field Values